From 2471bb47bf715402ece61b084b69afe3bb53742e Mon Sep 17 00:00:00 2001
From: Boris Mironov <boris.mironov@gmail.com>
Date: Fri, 6 Feb 2026 13:55:47 +0700
Subject: [PATCH v9 18/26] Removing commented out procedures

---
 src/bin/pgbench/pgbench.c | 52 ---------------------------------------
 1 file changed, 52 deletions(-)

diff --git a/src/bin/pgbench/pgbench.c b/src/bin/pgbench/pgbench.c
index af71e358e71..34464b7037c 100644
--- a/src/bin/pgbench/pgbench.c
+++ b/src/bin/pgbench/pgbench.c
@@ -5206,35 +5206,6 @@ initGenerateDataClientSideText(PGconn *con)
 }
 
 
-/*
- * Dumps binary buffer to file (purely for debugging)
- *
-static void
-dumpBufferToFile(char *filename)
-{
-	FILE *file_ptr;
-	size_t bytes_written;
-
-	file_ptr = fopen(filename, "wb");
-	if (file_ptr == NULL)
-	{
-		fprintf(stderr, "Error opening file %s\n", filename);
-		return; // EXIT_FAILURE;
-	}
-
-	bytes_written = fwrite(bin_copy_buffer, 1, bin_copy_buffer_length, file_ptr);
-
-	if (bytes_written != bin_copy_buffer_length)
-	{
-		fprintf(stderr, "Error writing to file or incomplete write\n");
-		fclose(file_ptr);
-		return; // EXIT_FAILURE;
-	}
-
-	fclose(file_ptr);
-}
- */
-
 /*
  * Save char data to buffer
  */
@@ -5277,17 +5248,6 @@ addColumnCounter(int16_t n)
 	bufferData((void *) &n, sizeof(n));
 }
 
-/*
- * adds column with NULL value
- *
-static void
-addNullColumn()
-{
-	int32_t null = -1;
-	bufferData((void *) &null, sizeof(null));
-}
- */
-
 /*
  * adds column with inti32 value
  */
@@ -5312,18 +5272,6 @@ addInt64Column(int64_t value)
 	bufferData((void *) &data, sizeof(data));
 }
 
-/*
- * adds column with char value
- *
-static void
-addCharColumn(char *value)
-{
-	int32_t	size = strlen(value);
-	bufferData((void *) &size, sizeof(size));
-	bufferCharData(value, size);
-}
- */
-
 /*
  * Starts communication with server for COPY FROM BINARY statement
  */
-- 
2.43.0

